/*
 * @cmnStruct.java Version 1.1 03/04/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package cmn;

import java.net.*;
import java.awt.*;
import java.applet.*;

/** CLASS cmnStruct
 *  <p> This Class holds the global gui data structure data.
 *  @version 1.1 03/04/2015
 *  @author  John R. Victorine
 */

public class cmnStruct
{
  // Kansas Geological Survey Home Web Addresses

  public static final String KGS   = "http://www.kgs.ku.edu";
  public static final String CO2   = "http://www.kgs.ku.edu/PRS/Ozark/";
  public static final String STRAT = "http://www.kgs.ku.edu/stratigraphic/";

  // BASE DIRECTORY of IQSTRAT

  public static final String IQSTRAT_BASE = STRAT + "IQSTRAT/";

  /* ======================================================================= *
   * --------------------- Web Applications Mnemonics ---------------------- *
   * ======================================================================= */

  // BASE URL to the ABYSS PLSQL Stored procedure base path.

  public static final String PLSQL      = "http://chasm.kgs.ku.edu/ords/";
  public static final String PLSQL_USER = "http://chasm.kgs.ku.edu/ords/iqstrat.";

  /* ======================================================================= *
   * ---------------------------- KGS Logo Icon ---------------------------- *
   * ======================================================================= */

  public static final String ICON  = "images/kgsSm.png";
  public static final String ICON2 = "images/kgsSm2.png";

  /* ======================================================================= *
   * ----------------------------- Image Icons ----------------------------- *
   * ======================================================================= */

  public static final String SEISMIC_APP = "/images/waves.png";
  public static final String WAVE_ICON   = "/images/wave_icon.png";

  public static final String PDF         = "/images/save_pdf.png";

  public static final String PREVIOUS    = "/images/previous.png";
  public static final String NEXT        = "/images/next.png";

  /* ======================================================================= *
   * -------------------------- PL/SQL Procedures -------------------------- *
   * ======================================================================= */

  // Subdirectory of the county TRS grid lines under the Home Web Address

  public static final String LANDGRID = "http://www.kgs.ku.edu/Gemini/zDat";

  public static final String SWD_WELLS =
    "http://chasm.kgs.ku.edu/ords/iqstrat.ks_earthquakes_swd_pkg.getXML";

  public static final String EARTHQUAKES =
    "http://chasm.kgs.ku.edu/ords/iqstrat.ks_earthquakes_pkg.getXML";

  public static final String EVENTS =
    "http://chasm.kgs.ku.edu/ords/iqstrat.co2_events_pkg.getXML";

  public static final String GET_SENSORS =
    "http://chasm.kgs.ku.edu/ords/iqstrat.co2_sensors_pkg.getXML";

  /* ======================================================================= *
   * --------------------------- Global Variables -------------------------- *
   * ======================================================================= */

  public int           iServerUsed;     // Server that will be used.
  public boolean       bStandalone;     // Application is Stand alone
  public URL           urlDirCodeBase;  // Base URL of Applet.
  public AppletContext appletContext;   // Applet Context
  public String        sPath;           // Path to retrieve data from JAR File
  public String        sImagePath;      // Path to retrieve images from JAR File
  public String        sGEMINI;         // Path to the GEMINI Data Directory work space
  public ClassLoader   cl;
  public Image         pIcon  = null;
  public Image         pIcon2 = null;
}

/*
 *  @version 1.1 03/04/2015
 *  @author  John Victorine
 */
