/*
 * @plotXYListStruct.java Version 1.1 08/26/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package plot;

import plot.plotXYStruct;

/** CLASS plotXYListStruct
 *  <p> This Structure holds a list of plot XY Structures.
 *
 *  @version 1.1 08/26/2015
 *  @author  John R. Victorine
 */

public class plotXYListStruct
{
  public int          iCount   = 0;    // Total Number of Records
  public plotXYStruct stItem[] = null; // Array of plot XY Structures

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    if (iCount > 0)
    {
      for (int i=0; i<iCount; i++)
      {
        if (stItem[i] != null)
          stItem[i].delete();
      }
    }

    iCount = 0;
    stItem = null;
  }
}

/*
 *  @version 1.1 08/26/2015
 *  @author  John Victorine
 */