/*
 * @quakeDataStruct.java Version 1.1 08/03/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package quake;

/** Class quakeDataStruct
 *  <p> This Class holds the data needed to plot the data location on a map
 *
 *  @version 1.1 08/03/2015
 *  @author  John R. Victorine
 */

public class quakeDataStruct
{
  public String sKEY       = "0"; // Primary Key

  // Time and Computed location of seismic event.

  public String sUTC       = "";  // Format: MM/dd/yyyy HH:mm:ss
  public String sCentral   = "";  // Format: MM/dd/yyyy HH:mm:ss
  public double dMagnitude = 0.0; // Magnitude of Quake
  public String sMagType   = "";  // Magnitude Type
  public double dLatitude  = 0.0; // Latitude
  public double dLongitude = 0.0; // Longitude
  public double depth      = 0.0; // Depth
  public String state      = "";  // State
  public String source     = "";  // Source of Data

  /** Method delete()
   * <p> This method will set the string variable to null and initialize
   *     all the other variables.
   */

  public void delete()
  {
    sKEY       = null; // Primary Key

    // Time and Computed location of seismic event.

    sUTC       = null; // Format: MM/dd/yyyy HH:mm:ss
    sCentral   = null; // Format: MM/dd/yyyy HH:mm:ss
    dMagnitude = 0.0;  // Magnitude of Quake
    sMagType   = null; // Magnitude Type
    dLatitude  = 0.0;  // Latitude
    dLongitude = 0.0;  // Longitude
    depth      = 0.0;  // Depth
    state      = null; // State
    source     = null; // Source of Data
  }
}


/*
 *  @version 1.1 08/03/2015
 *  @author  John Victorine
 */
