/*
 * @utilLandGridStruct.java Version 1.1 05/24/2002
 *
 * Copyright (c) 2001 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package util;

/** Class utilLandGridStruct
 *  <p> This Class holds Section, Township, Range Latitude and Longitude Lines.
 *
 *  @version 1.1 05/24/2002
 *  @author  John R. Victorine
 */

public class utilLandGridStruct
{
  public String     sOriginal;      // The original TRS Description Line.

  public String     sTownship;      // Township String
  public String     sRange;         // Range String
  public String     section;        // Section String
  public String     sValue;         // Extra String Value

  public int        iTotal;         // Total Number of Lines for TRS
  public double     dLongitude[];   // Longitude Line Array
  public double     dLatitude[];    // Latitude Line Array

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
     sOriginal  = null; // The original TRS Description Line.

     sTownship  = null; // Township String
     sRange     = null; // Range String
     section    = null; // Section String
     sValue     = null; // Extra String Value

     dLongitude = null; // Longitude Line Array
     dLatitude  = null; // Latitude Line Array
  }
}
